package mhtree;

import messif.objects.LocalAbstractObject;

/**
 * Represents the rank of a node in the priority queue in a query operation.
 */
public class ObjectToNodeDistanceRank implements Comparable<ObjectToNodeDistanceRank> {

    private final Node node;
    private final double distance;

    public ObjectToNodeDistanceRank(LocalAbstractObject object, Node node) {
        this.node = node;
        this.distance = node.getDistance(object);
    }

    @Override
    public int compareTo(ObjectToNodeDistanceRank rank) {
        return Double.compare(this.distance, rank.distance);
    }

    public Node getNode() {
        return node;
    }
}
